Subject: bug#56870: company-dabbrev variable documentation

From: uzibalqa <[email-masked]>
Date: Tue, 02 Aug 2022 10:34:36 +0000

------- Original Message -------
On Tuesday, August 2nd, 2022 at 10:20 AM, Lars Ingebrigtsen <[email-masked]> wrote:

> Matt Armstrong [email-masked] writes:
>
> > b) When lisp level interfaces expect strings they generally say so, and
> > the examples use quotes like "this".
> >
> > c) A bare all (without any quotes at all), is just a word, and not
> > a Lisp level function or variable.
>
>
> So I don't think there's anything to fix in Emacs here -- we sometimes
> say "the symbol `all'" if there's an unusual amount of possible
> confusion present -- and I'm therefore closing this bug report.

I still think you should be explicit as with "this", and present users with what they will actually use, 'this.

It is not good to expect a users to spend hours reading in the hope that he will eventually figure out that what is written in the documentation is not what you write in your code.  And then figure out how to solve it.